%global momorel 24

Summary: A text formatting package based on SGML.
Name: sgml-tools
Obsoletes: linuxdoc-sgml
Version: 1.0.9
Release: %{momorel}m
License: see "COPYRIGHT"
Group: Applications/Publishing
Source: http://www.consultronics.com/~cdegroot/sgmltools/dist/%{name}-%{version}.tar.gz
Patch: sgml-tools-1.0.6-letter.patch
Patch1: sgml-tools-1.0.9-egcs.patch
Patch2: sgml-tools-1.0.9-fixsgml2latex.patch
Patch3: sgml-tools-1.0.9-fixconfigure.patch
Patch4: sgml-tools-deprotoize.patch
Patch5: sgml-tools-buildroot.patch
Patch6: sgml-tools-manfix.patch
Patch7: sgml-tools-tmpfile.patch
Patch8: sgml-tools-1.0.9-libdir.patch
Requires: sgml-common openjade
BuildPreReq: autoconf >= 2.52-8k
BuildPreReq: openjade
BuildPrereq: perl >= 5.8.2
Url: http://www.sgmltools.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
SGMLtools is a text formatting package based on SGML (Standard
Generalized Markup Language).  SGMLtools allows you to produce LaTeX,
HTML, GNU info, LyX, RTF, plain text (via groff), and other format
outputs from a single SGML source.  SGMLtools is intended for writing
technical software documentation.

%prep
%setup -q
%patch -p1
%patch1 -p1 -b .egcs
%patch2 -p1 -b .fixsgml2latex
%patch3 -p1 -b .fixconfigure
%patch4 -p1 -b .broken
%patch5 -p1 -b .buildroot
%patch6 -p1 -b .manfix
%patch7 -p1 -b .tmpfile
%patch8 -p1 -b .libdir
chmod -R o+r doc/*

%build
autoconf-old
pushd sgmls-1.1
for foo in * ; do
	sed "s|VOID|void|g ; s|UNIV|void *|g" $foo > $foo.new && mv $foo.new $foo
done
popd # sgmls-1.1

%configure --quiet --with-installed-nsgmls --libdir=%{_datadir}/sgml-tools
make CFLAGS="%{optflags}" LIBDIR=%{_datadir}/sgml-tools

%install
rm -rf %{buildroot}
%makeinstall libdir=%{buildroot}%{_datadir}/sgml-tools \
    perl5libdir=%{buildroot}%{perl_privlib}

find %{buildroot}%{_prefix} \( \
		-name '*.tmpfile' -o \
		-name '*.fixsgml2latex' \
	\) -exec %{__rm} '{}' \;

find %{buildroot}%{_bindir} -type f -o -type l | \
	grep -v nsgmls | sed "s|%{buildroot}||g" > file.list

cat > doc/COPYRIGHT <<EOF
(C) International Organization for Standardization 1986
Permission to copy in any form is granted for use with
conforming SGML systems and applications as defined in
ISO 8879, provided this notice is included in all copies.
EOF

%clean
rm -rf %{buildroot}

%files -f file.list
%defattr (-,root,root)
%doc doc/*
%{_datadir}/sgml-tools
%{_datadir}/entity-map
%{_datadir}/sgml
%{_mandir}/*/*
%{perl_privlib}/Text/EntityMap.pm

%changelog
* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.0.9-24m)
- remove Epoch from BuildPrereq

* Sat May 22 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.9-23m)
- add source

* Sun Nov  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.9-22m)
- rebuild against perl-5.8.2

* Sat Nov  8 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.0.9-21m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 zunda <zunda at freeshell.org>
- (1.0.9-20m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- chmod o+r for documents

* Sun Nov 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.9-19m)
- rebuild against perl-5.8.0

* Wed Mar 13 2002 OZAWA -Crouton- Sakuro <crouton@kondara.org>
- (1.0.9-18k)
- Removed patch backups(*.tmpfile etc.)
- Moved perl5 modules to correct location.
- Moved architecture independent data under /usr/share.
- No need to strip binaries during %install.
- Use %{perl_privlib}.

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (1.0.9-16k)
- add BuildPreReq: autoconf >= 2.52-8k

* Wed Jan  9 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.9-14k)
- autoconf 1.5

* Thu Mar 08 2001 Motonobu Ichimura <famao@kondara.org>
- Create temporary files safely (patch from Redhat)

* Mon Aug 07 2000 Toru Hoshina <t@kondara.org>
- Kodaraized.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 10 2000 Bill Nottingham <notting@redhat.com>
- fix man page for sgml2txt (#10722)

* Sat Jun  3 2000 Bill Nottingham <notting@redhat.com>
- apparently this can't deal with FHS

* Thu Jun  1 2000 Bill Nottingham <notting@redhat.com>
- hey, it's self-hosting now!

* Fri Feb 11 2000 Preston Brown <pbrown@redhat.com>
- add copyright file (#8621)
- fix sgml2latex processing (#4114)
- fix configure tests (#6480)

* Wed Feb  9 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- get rid of "CC=egcs"
- require jade - sgml2html calls nsgmls.

* Fri Jan 28 2000 Bill Nottingham <notting@redhat.com>
- resurrect package in a non-conflicting manner

* Tue Dec 14 1999 Shingo Akagaki <dora@kondara.org>
- add jp patch from <ono@jf.gee.kyoto-u.ac.jp>

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Wed Mar 17 1999 Preston Brown <pbrown@redhat.com>
- we aren't going to 2.0.x for 6.0, using 1.0.9 instead (more stable)

* Thu Aug 20 1998 Bill Nottingham <notting@redhat.com>
- updated to 1.0.7

* Tue May 05 1998 Donnie Barnes <djb@redhat.com>
- changed default papersize to letter (from a4...sorry Europeans :-)
  use --papersize=a4 on any sgml2* command to change it or remove the
  patch from this spec file and rebuild.

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.0.6

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Jan 12 1998 Donnie Barnes <djb@redhat.com>
- updated from 0.99 to 1.0.3
- added BuildRoot

* Sat Nov 01 1997 Donnie Barnes <djb@redhat.com>
- fixed man pages

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- new release - Obsoletes linuxdoc-sgml
